# Contributing
We welcome community contributions!

## How to contribute
All contributions can be made on Github via pull requests. Please review open issues in the Github issue tracker before submitting, and create a new issue if there is not a relevant existing issue. Please reference relevant issues in your pull request.

Pull requests should be made against the STABLE branch for which it is relevant. If your improvement/fix is relevant to multiple versions, submit a pull request against the latest STABLE branch, and note the other versions in the pull request comment.

## Code Review
All contributions are reviewed by developers and must pass a thorough examination before they are merged. Please read our [code review](TBD - link to code review process) process and ensure your contribution adheres to our standards. A developer may have additional questions or require you make changes before a pull request can be accepted, and it is the responsibility of the submitter to make those changes. Not all submissions will be accepted. If accepted, your commit will remain as-is to ensure you get credit, but developers may modify solutions in subsequent commits.

## License
All contributions will be subject to the [GPL](/LICENSE), as is required by the GPL.